package com.ibtp.kontor.comics.dal;

import com.ibtp.kontor.comics.entity.ComicEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by thomas on 17.01.15.
 */
interface ComicDao {

    public ComicEntity getById(Long id);

    public Collection<ComicEntity> findByIds(List<Long> ids);

    public Collection<ComicEntity> findByTitle(String title);

    public Collection<ComicEntity> findAll();

    public ComicEntity addComic(String title);

    public ComicEntity store(ComicEntity entity);

    public void delete(ComicEntity entity);
}
